Bug 1015453 - Simulation ignores Event Definitions
Simulation ignores Event Definitions
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ER5
: 6.0.0
Assigned To: Maciej Swiderski
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 05:45 EDT by Sona Mala
Modified: 2014-08-06 16:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The first process - simulation results (95.78 KB, image/png)
2013-10-04 05:45 EDT, Sona Mala
no flags Details
The first process - BPMN2 definition (22.96 KB, application/xml)
2013-10-04 05:46 EDT, Sona Mala
no flags Details
The first process - expected path for simulation (46.70 KB, image/png)
2013-10-04 05:47 EDT, Sona Mala
no flags Details
The second process - canvas screenshot (24.59 KB, image/png)
2013-10-04 05:49 EDT, Sona Mala
no flags Details
The second process - BPMN2 definition (23.23 KB, application/xml)
2013-10-04 05:49 EDT, Sona Mala
no flags Details
The second process - expected path for simulation (28.02 KB, image/png)
2013-10-04 05:50 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2013-10-04 05:45:27 EDT
Created attachment 807527 [details]
The first process - simulation results

Description of problem:
There are two processes on which I reproduce this problem.

The first one:
How you can see on attached screenshot of simulation results, the simulation engine never handle event subprocess. The simulation engine ends all process instances at the moment when they reach the Message End Event but never propagate the Message Event to the Message Start Event which is in the event subprocess.

The second one:
The simulation engine does not return a results.



Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER3

Steps to Reproduce:
1. Model attached process
2. Run simulation (10 instances, 10 minutes)
3. If it return the results then see path with Message End Event

Actual results:
The simulation engine ignores Event Definition or does not return results.


Expected results:
The simulation engine handle Event Definition. The path is same as you really run a process (Completed instance/View Process model).


Additional info:
Comment 1 Sona Mala 2013-10-04 05:46:02 EDT
Created attachment 807528 [details]
The first process - BPMN2 definition
Comment 2 Sona Mala 2013-10-04 05:47:56 EDT
Created attachment 807533 [details]
The first process - expected path for simulation

This path was taken by running this process on BPMS 6.0.0 ER3
Comment 3 Sona Mala 2013-10-04 05:49:00 EDT
Created attachment 807534 [details]
The second process - canvas screenshot
Comment 4 Sona Mala 2013-10-04 05:49:29 EDT
Created attachment 807535 [details]
The second process - BPMN2 definition
Comment 5 Sona Mala 2013-10-04 05:50:44 EDT
Created attachment 807536 [details]
The second process - expected path for simulation


This path was taken by running this process on BPMS 6.0.0 ER3
Comment 6 Sona Mala 2013-10-04 05:54:18 EDT
Server.log for a simulation of the second process:

11:52:27,280 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-311-thread-1) Number of application's worked threads is 8
11:52:27,491 INFO  [org.drools.compiler.kie.builder.impl.KieRepositoryImpl] (http-localhost/127.0.0.1:8080-7) KieModule was added:MemoryKieModule[ ReleaseId=org.default:artifact:1.0.0-SNAPSHOT]
11:52:27,513 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-314-thread-1) Number of application's worked threads is 8

There is no exception.
Comment 8 Sona Mala 2013-12-17 09:04:09 EST
Verified for ER5 that process #1 is able to run.

I will create a new bugzilla issue for process #2. This is not fixed for ER5.

I will create a new bugzilla issue for marking nodes in event subprocesses for Path results.

Note You need to log in before you can comment on or make changes to this bug.